import setuptools

with open("README.md", "r") as fh:
    long_description = fh.read()

setuptools.setup(
    name="blacklister",                     # This is the name of the package
    version="1.0.3",                        # The initial release version
    author="Benjamin Churton",                     # Full name of the author
    description="Check if a Discord user is blacklisted using the Blacklister API",
    long_description=long_description,      # Long description read from the the readme file
    long_description_content_type="text/markdown",
    packages=setuptools.find_packages(),    # List of all python modules to be installed
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],                                      # Information to filter the project on PyPi website
    python_requires='>=3.6',                # Minimum version requirement of the package
    py_modules=["blacklister"],             # Name of the python package
    install_requires=["requests"]                     # Install other dependencies if any
)
